#pragma once
#ifndef __MY__TASKS_H__
#define __MY__TASKS_H__

#include "mbed.h"
#include "rtos.h"

// Runs at 10 Hz - Starts TASK 1 and TASK 3
void timer1(void *arg);

// Runs at 2 Hz - Starts TASKS 2 - 4 - 6; TASK 5 - 9 & TASK 10
void timer2(void *arg);

// Runs at 0.2 Hz - Starts TASK 7 and TASK 8
void timer3(void *arg);

// Car Simulator - Runs at 20 Hz
void task0_carSim(void *arg);

void task1_readAccelBrake(void *arg);

void task2_readEngineState(void *arg);

void task3_filterSpeed(void *arg);

void task4_showUseOfBrake(void *arg);

void task5_monitorSpeed(void *arg);

void task6_writeLCD(void *arg);

void task7_sendToMailQueue(void *arg);

void task8_dumpMailQueue(void *arg);

void task9_readSideLight(void *arg);

void task10_turnIndic(void *arg);

#endif /*! __MY__TASKS_H__ */